package main

type FilePriority struct {
	Properties          *FileProperties
	Priority            int
	PreferredProperties map[string]int
}

func NewFilePriority(props *FileProperties) *FilePriority {
	priority, preferredProperties := DeterminePriority(props)

	return &FilePriority{
		Properties:          props,
		Priority:            priority,
		PreferredProperties: preferredProperties,
	}
}
